summaryrefslogtreecommitdiff
path: root/pcr/openrc-net/rpc.svcgssd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'pcr/openrc-net/rpc.svcgssd.initd')
-rw-r--r--pcr/openrc-net/rpc.svcgssd.initd24
1 files changed, 24 insertions, 0 deletions
diff --git a/pcr/openrc-net/rpc.svcgssd.initd b/pcr/openrc-net/rpc.svcgssd.initd
new file mode 100644
index 000000000..74383e24d
--- /dev/null
+++ b/pcr/openrc-net/rpc.svcgssd.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/rpc.svcgssd.initd,v 1.5 2008/10/26 09:02:47 vapier Exp $
+
+[ -e /etc/conf.d/nfs ] && . /etc/conf.d/nfs
+
+depend() {
+ use ypbind net
+ need portmap rpc.pipefs
+ after quota
+}
+
+start() {
+ ebegin "Starting svcgssd"
+ start-stop-daemon --start --exec /usr/sbin/rpc.svcgssd -- ${OPTS_RPC_SVCGSSD}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping svcgssd"
+ start-stop-daemon --stop --exec /usr/sbin/rpc.svcgssd
+ eend $?
+}